Skip to main content
PATCH
/
v2
/
agents
/
{agent_id}
/
schedules
/
{schedule_id}
Update Schedule
curl --request PATCH \
  --url https://api.duvo.ai/v2/agents/{agent_id}/schedules/{schedule_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "time": "<string>",
  "timezone": "<string>",
  "day_of_month": 16,
  "cron": "<string>",
  "recurring": true
}
'
{
  "id": "<string>",
  "build_id": "<string>",
  "agent_id": "<string>",
  "user_id": "<string>",
  "enabled": true,
  "time": "<string>",
  "timezone": "<string>",
  "day": "<string>",
  "day_of_month": 123,
  "cron": "<string>",
  "source": "<string>",
  "task": "<string>",
  "recurring": true,
  "created_at": "<string>",
  "updated_at": "<string>",
  "user_name": "<string>",
  "user_email": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

agent_id
string<uuid>
required

The agent's unique identifier

schedule_id
string<uuid>
required

The schedule's unique identifier

Body

application/json
enabled
boolean
frequency
enum<string>
Available options:
every_5_minutes,
every_15_minutes,
hourly,
daily,
workday,
weekly,
monthly,
custom
time
string | null
timezone
string
day
enum<string> | null
Available options:
monday,
tuesday,
wednesday,
thursday,
friday,
saturday,
sunday
day_of_month
integer | null
Required range: 1 <= x <= 31
cron
string | null
recurring
boolean | null

Response

Default Response

id
string
required
build_id
string
required
agent_id
string
required
user_id
string
required
enabled
boolean
required
frequency
enum<string>
required
Available options:
every_5_minutes,
every_15_minutes,
hourly,
daily,
workday,
weekly,
monthly,
custom
time
string | null
required
timezone
string
required
day
string | null
required
day_of_month
number | null
required
cron
string | null
required
source
string | null
required
task
string | null
required
recurring
boolean | null
required
created_at
string
required
updated_at
string
required
user_name
string | null
user_email
string | null